#include <stdio.h>
#include <stdlib.h>

int main(int argc, char **argv)
{
	int address;
	unsigned char bh, bl;
	
	if (argc == 2) {
		address = atoi(argv[1]);
		bh = (address / 256) | 192;
		bl = address & 0xff;
	} else	if (argc == 3) {
		bh = atoi(argv[1]);
		bl = atoi(argv[2]);
		address = (bh & ~192) * 256 + bl;
	} else
		return -1;
	
	printf("Address: %d, CV17: %d, CV18: %d\n", address, bh, bl);
	return 0;
}
