#ifndef _INCLUDE_DCC_SRCPD_H_
#define _INCLUDE_DCC_SRCPD_H_

#define DCC_SRCPD_VERSION	"dcc_srcpd 0.1; SRCP 0.8.4\n"
#define DCC_SRCPD_PORT		4303

#define DCC_SRCPD_REQ_LEN	1000

#define DCC_SRCPD_PROTOCOL 			"PROTOCOL"
#define DCC_SRCPD_SRCP				"SRCP"
#define DCC_SRCPD_REP_SET_PROTOCOL_OK 		"201 OK PROTOCOL SRCP"
#define DCC_SRCPD_CONNECTIONMODE		"CONNECTIONMODE"
#define DCC_SRCPD_INFO				"INFO"
#define DCC_SRCPD_COMMAND		 	"COMMAND"
#define DCC_SRCPD_REP_SET_CONNECTIONMODE_ERROR	"401 ERROR unsupported connectionmode"
#define DCC_SRCPD_REP_SET_CONNECTIONMODE_OK	"202 OK CONNECTIONMODE"

#define DCC_SRCPD_REP_UNKNOWN_COMMAND		"410 ERROR unknown command"
#define DCC_SRCPD_REP_WRONG_VALUE		"412 ERROR wrong value"
#define DCC_SRCPD_REP_DEVICE_LOCKED		"414 ERROR device locked"
#define DCC_SRCPD_REP_NO_DATA			"416 ERROR no data"
#define DCC_SRCPD_REP_WRONG_VALUE		"412 ERROR wrong value"
#define DCC_SRCPD_REP_UNSUPPORTED_DEVICE_PROTOCOL	"420 ERROR unsupported device protocol"
#define DCC_SRCPD_REP_UNSUPPORTED_DEVICE	"421 ERROR unsupported device"
#define DCC_SRCPD_REP_UNSUPPORTED    		"425 ERROR unsupported"

#define DCC_SRCPD_REQ_GO			"GO"
#define DCC_SRCPD_REP_GO_OK			"200 OK GO"

#define DCC_SRCPD_REP_OK			"200 OK"

#define DCC_SRCPD_REQ_INIT			"INIT"
#define DCC_SRCPD_REQ_GET			"GET"
#define DCC_SRCPD_REQ_SET			"SET"
#define DCC_SRCPD_REQ_CHECK			"CHECK"
#define DCC_SRCPD_REQ_TERM			"TERM"

#define DCC_SRCPD_GROUP_DESCRIPTION		"DESCRIPTION"
#define DCC_SRCPD_GROUP_GA			"GA"
#define DCC_SRCPD_GROUP_GL			"GL"
#define DCC_SRCPD_GROUP_GM			"GM"
#define DCC_SRCPD_GROUP_SM			"SM"
#define DCC_SRCPD_GROUP_POWER			"POWER"
#define DCC_SRCPD_GROUP_SESSION			"SESSION"
#define DCC_SRCPD_GROUP_SERVER			"SERVER"
#define DCC_SRCPD_GROUP_LOCK			"LOCK"

#define DCC_SRCPD_ON				"ON"
#define DCC_SRCPD_OFF				"OFF"

#define DCC_SRCPD_CV				"CV"
#define DCC_SRCPD_NMRA				"NMRA"

void *dcc_srcpd(void *);


char *dcc_srcpd_rep_timestamp_str(char *buffer);

#endif /* _INCLUDE_DCC_SRCPD_H_ */
