/*
	dcc_srcpd.c
		
	SRCP implementation for a simple DCC command station

	Copyright Jeroen Vreeken (jeroen@vreeken.net), 2013

	This program is free software: you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation, either version 3 of the License, or
	(at your option) any later version.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with this program.  If not, see <http://www.gnu.org/licenses/>.

 */

#include "dcc_srcpd_gm.h"

#include "dcc_srcpd_info_q.h"

void dcc_srcpd_info_get_gm_update(int send_to, int reply_to, char *msg)
{
	struct dcc_srcpd_info *info;
	char *buffer;

	info = dcc_srcpd_info_q_new();
	
	info->dst_session_id = send_to;

	buffer = info->buffer;

	buffer = dcc_srcpd_rep_timestamp_str(buffer);
	sprintf(buffer, "100 INFO 0 GM %d %d %s\n",
	    send_to, reply_to, msg);

	dcc_srcpd_info_q_add(info);
}


