/*
	dcc_cmd.h
		
	A simple DCC command station

	Copyright Jeroen Vreeken (jeroen@vreeken.net), 2010, 2012, 2013

	This program is free software: you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation, either version 3 of the License, or
	(at your option) any later version.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with this program.  If not, see <http://www.gnu.org/licenses/>.

 */

#ifndef _INCLUDE_DCC_ADDRESS_H_
#define _INCLUDE_DCC_ADDRESS_H_

enum dcc_address_type {
	DCC_ADDRESS_SHORT,
	DCC_ADDRESS_LONG,
	DCC_ADDRESS_ACCESSORY,
	DCC_ADDRESS_EXTENDED_ACCESSORY,
};

struct dcc_address {
	enum dcc_address_type type;
	int address;
};

#endif /* _INCLUDE_DCC_ADDRESS_H_ */
