/*
	dcc_srcpd.c
		
	SRCP implementation for a simple DCC command station

	Copyright Jeroen Vreeken (jeroen@vreeken.net), 2013

	This program is free software: you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation, either version 3 of the License, or
	(at your option) any later version.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with this program.  If not, see <http://www.gnu.org/licenses/>.

 */

#ifndef _INCLUDE_DCC_SRCPD_DESCRIPTION_H_
#define _INCLUDE_DCC_SRCPD_DESCRIPTION_H_
 
#include "dcc_srcpd.h"
#include "dcc_srcpd_info_q.h"

#include <stdio.h>


void dcc_srcpd_info_get_description_str(char *buffer, int bus);
int dcc_srcpd_info_get_description(FILE *fd_sock, int bus);
void dcc_srcpd_info_get_description_update(int bus);

#endif /* _INCLUDE_DCC_SRCP_DESCRIPTION_H_ */
