/*
	dcc_srcpd.c
		
	SRCP implementation for a simple DCC command station

	Copyright Jeroen Vreeken (jeroen@vreeken.net), 2013

	This program is free software: you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation, either version 3 of the License, or
	(at your option) any later version.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with this program.  If not, see <http://www.gnu.org/licenses/>.

 */

#ifndef _INCLUDE_DCC_SRCPD_POWER_STR_H_
#define _INCLUDE_DCC_SRCPD_POWER_STR_H_

#include <stdio.h>

#include "dcc_srcpd.h"

void dcc_srcpd_info_init_power_str(char *buffer);
void dcc_srcpd_info_term_power_str(char *buffer);
int dcc_srcpd_info_get_power_str(char *buffer);

int dcc_srcpd_info_get_power(FILE *fd_sock);
int dcc_srcpd_info_init_power(FILE *fd_sock);

void dcc_srcpd_info_get_power_update(void);
void dcc_srcpd_info_init_power_update(void);
void dcc_srcpd_info_term_power_update(void);

#endif /* _INCLUDE_DCC_SRCPD_POWER_STR_H_ */
