/*
	dcc_srcpd.c
		
	SRCP implementation for a simple DCC command station

	Copyright Jeroen Vreeken (jeroen@vreeken.net), 2013

	This program is free software: you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation, either version 3 of the License, or
	(at your option) any later version.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with this program.  If not, see <http://www.gnu.org/licenses/>.

 */

#ifndef _INCLUDE_DCC_SRCPD_SM_STR_H_
#define _INCLUDE_DCC_SRCPD_SM_STR_H_
 
#include "dcc_srcpd.h"
#include "dcc_decoder.h"

void dcc_srcpd_info_init_sm_str(char *buffer);
void dcc_srcpd_info_term_sm_str(char *buffer);
int dcc_srcpd_info_get_sm_str(char *buffer, int add, int cv, int value);

void dcc_srcpd_info_init_sm_update(void);
void dcc_srcpd_info_term_sm_update(void);
void dcc_srcpd_info_get_sm_update(int add, int cv, int value);

#endif /* _INCLUDE_DCC_SRCPD_SM_STR_H_ */
